Update project theme config
curl --request PUT \
--url https://api.kameleoon.com/project-theme-config/{projectId} \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 123,
"defaultThemeId": 123,
"id": 123,
"themes": [
{
"projectIds": [
123
],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": [
"<string>"
],
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [
{
"id": "<string>"
}
],
"tags": [
"<string>"
],
"widgetIds": [
123
]
}
]
}
'import requests
url = "https://api.kameleoon.com/project-theme-config/{projectId}"
payload = {
"projectId": 123,
"defaultThemeId": 123,
"id": 123,
"themes": [
{
"projectIds": [123],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": ["<string>"],
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": ["<string>"],
"id": "<string>",
"importSrc": "<string>"
}
],
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [{ "id": "<string>" }],
"tags": ["<string>"],
"widgetIds": [123]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 123,
defaultThemeId: 123,
id: 123,
themes: [
{
projectIds: [123],
colors: [{id: '<string>', value: '<string>'}],
components: ['<string>'],
customFonts: [
{
fontFamily: '<string>',
fontSrc: '<string>',
fontWeights: ['<string>'],
id: '<string>',
importSrc: '<string>'
}
],
description: '<string>',
id: 123,
name: '<string>',
selectedFonts: [{id: '<string>'}],
tags: ['<string>'],
widgetIds: [123]
}
]
})
};
fetch('https://api.kameleoon.com/project-theme-config/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": 123,
"defaultThemeId": 123,
"id": 123,
"themes": [
{
"projectIds": [
123
],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": [
"<string>"
],
"creationDate": "2023-11-07T05:31:56Z",
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [
{
"id": "<string>"
}
],
"tags": [
"<string>"
],
"widgetIds": [
123
]
}
]
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}ProjectThemeConfig
Update project theme config
Update project theme config with given id
PUT
/
project-theme-config
/
{projectId}
Update project theme config
Path Parameters
The Id of the project
Body
application/json
Was this page helpful?
⌘I